{
  lib,
  pkgs,
  ...
}: let
  inherit (lib.marleyos) enabled;
in {
  imports = [./hardware-configuration.nix ./autorandr.nix];

  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;

  networking.hostName = "nyx";

  services = {
    xserver = {
      enable = true;

      displayManager.lightdm.enable = true;
      desktopManager.deepin.enable = true;

      xkb = {
        layout = "us";
        variant = "";
      };
    };
  };

  programs.firefox.enable = true;

  environment.systemPackages = [pkgs.vim pkgs.git];

  system.stateVersion = "24.05";
}
